package com.utic.center.utic.stat.server.dao.mapper.dwdb;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface UticStat05MinStatMapper {
    int insertCenterLog(@Param("regDate") String regDate);
    int insertStatTrafficLog(@Param("yyMm") String yyMm, @Param("regDate") String regDate);
    int insertFilterLog(@Param("regDate") String regDate,
                        @Param("codeValue0") String codeValue0,
                        @Param("codeValue1") String codeValue1,
                        @Param("codeValue2") String codeValue2,
                        @Param("codeValue3") String codeValue3,
                        @Param("codeValue4") String codeValue4);
    int insertLinkFilterLog(@Param("yyMm") String yyMm, @Param("codeValue4") String codeValue4);

    int insertStat5MinCenter(@Param("yyMm") String yyMm, @Param("regDate") String regDate, @Param("codeValue4") String codeValue4);
    int insertStatFilterLog(@Param("yyMm") String yyMm, @Param("regDate") String regDate);

    int insertStat5MinCenterLevel(@Param("yyMm") String yyMm, @Param("linkLevel") String linkLevel, @Param("regDate") String regDate);
    int updateStat5MinCenterTravelTime(@Param("yyMm") String yyMm, @Param("regDate") String regDate);

    int insertStat5MinLoc(@Param("yyMm") String yyMm, @Param("regDate") String regDate, @Param("codeValue4") String codeValue4);
    int insertStat5MinLocLevel(@Param("yyMm") String yyMm, @Param("linkLevel") String linkLevel, @Param("regDate") String regDate);
    int updateStat5MinLocTravelTime(@Param("yyMm") String yyMm, @Param("regDate") String regDate);


}
